/* Reset básico */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


.contacto {
  display: flex;
  align-items: stretch;
  min-height: 30vh;
  width: 100%;
}

.columna {
  flex: 1;
  padding: 40px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.columna h2 {
  align-self: flex-start;
}

.izquierda {
  text-align: right;
}

.izquierda h2 {
  align-self: flex-end;
	background-color: #f5a47d;
}

.derecha {
  text-align: left;
}

h2 {
  background-color: #60bfb7;
  color: white;
  padding: 5px 10px;
  border-radius: 8px;
  margin-bottom: 20px;
  font-family: "Montserrat-Bold";
  font-size: 20px;
}

p {
  margin-bottom: 10px;
  color: #8288a2;
}

.separador {
  width: 4px;
  background-color: #f5a47d;
}

.iconos-sociales {
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 20px 0 40px; /* menos espacio arriba, más abajo */
  position: relative;
  width: 100%;
  background-color: white; /* asegura visibilidad si hay fondo */
}

.iconos-sociales::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  width: 4px;
  background-color: #f5a47d;
  left: 50%;
  transform: translateX(-50%);
  z-index: 0;
}

.icono {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  background-color: #FFFFFF;
  border-radius: 50%;
  z-index: 1;
}

.icono:hover {
  background-color: #60bfb7; /* ← color al hacer hover */
}

.icono svg {
  width: 20px;
  height: 20px;
  fill: #f5a47d;
}

.icono:hover svg {
  fill: #FFFFFF;
}

/* Responsive */
@media (max-width: 800px) {
  .contacto {
    flex-direction: column;
    align-items: center;
  }

.columna {
  width: 100%;
  text-align: center;
  padding: 20px;
  align-items: center; /* ← esta línea centra el contenido dentro del flex */
}

  .separador,
  .iconos-sociales::before {
    display: none;
  }
	
  .iconos-sociales {
    flex-direction: row;
    justify-content: center;
  }
	
  .fondo-personaje {
    display: none;
  }
	
	.izquierda,
.derecha {
  text-align: center;
}

.columna h2 {
  align-self: center;
}
	
}
